package domain


type AlibabaTclsAelophyRefundCsapplyNewCsApplySubOrderDTO struct {
    /*
        申请子单退款金额     */
    RefundFee  *string `json:"refund_fee,omitempty" `

    /*
        申请子单退货数量     */
    RefundAmount  *string `json:"refund_amount,omitempty" `

    /*
        渠道子订单号，淘鲜达渠道为TP子单号     */
    OutSubOrderId  *string `json:"out_sub_order_id,omitempty" `

}

func (s *AlibabaTclsAelophyRefundCsapplyNewCsApplySubOrderDTO) SetRefundFee(v string) *AlibabaTclsAelophyRefundCsapplyNewCsApplySubOrderDTO {
    s.RefundFee = &v
    return s
}
func (s *AlibabaTclsAelophyRefundCsapplyNewCsApplySubOrderDTO) SetRefundAmount(v string) *AlibabaTclsAelophyRefundCsapplyNewCsApplySubOrderDTO {
    s.RefundAmount = &v
    return s
}
func (s *AlibabaTclsAelophyRefundCsapplyNewCsApplySubOrderDTO) SetOutSubOrderId(v string) *AlibabaTclsAelophyRefundCsapplyNewCsApplySubOrderDTO {
    s.OutSubOrderId = &v
    return s
}
